package com.hfkj.sysenum;

import java.util.Objects;

/**
 * @className: MerLedgerStatusEnum
 * @author: HuRui
 * @date: 2023/4/18
 **/
public enum ProfitSharingReceiverStatusEnum {
    status0(0, "待分账"),
    status1(1, "已分账"),
    ;

    private Integer number;

    private String name;


    ProfitSharingReceiverStatusEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static ProfitSharingReceiverStatusEnum getDataByNumber(Integer number) {
        for (ProfitSharingReceiverStatusEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
